Uploaded image for project: 'RESTEasy'
  1. RESTEasy
  2. RESTEASY-3394

Bump Vert.x from 4.3.4 to 4.4.5

    XMLWordPrintable

Details

    Description

      This is an uncommon upgrade for a micro release in a patch release. However, there is a CVE in Netty and we should upgrade Netty for 5.0 and 6.2 because of this CVE. For this case we will do an upgrade of Vert.x as 4.x does not work with Netty 4.1.92+.

      Tag: https://github.com/eclipse-vertx/vert.x/releases/tag/4.4.5
      Diff: https://github.com/eclipse-vertx/vert.x/compare/4.3.4...4.4.5

      Attachments

        Issue Links

          Activity

            People

              jperkins-rhn James Perkins
              jperkins-rhn James Perkins
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: